TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

EllipticCurve ( elt-ord^rat q, list L ) -> grp^ell

### Description

<shortdoc> Constructs an elliptic curve over the finite field with q elements. If L has length 2, the curve is defined by the equation y^2 = x^3 + L[1]*x + L[2], if L has length 5, the curve is defined by the equation y^2 + L[1]*x*y + L[2]*y = x^3 + L[3]*x^2 + L[4]*x + L[5]. </shortdoc>

### Examples

EC:= EllipticCurve(5,[1,2]);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack